# comment out when not a beta release
#define prerel    b1

%define pypi_name black

%global tarball_version %%(echo %{version} | tr -d '~')

Name:           python-%{pypi_name}
Version:        23.1.0%{?prerel:~%{prerel}}
Release:        %mkrel 1
Summary:        The uncompromising code formatter
Group:          Development/Python
License:        MIT
URL:            https://github.com/psf/black
Source0:        %{pypi_source %{pypi_name} %{tarball_version}}
Source1:        black.1
Source2:        blackd.1
Patch1:         black-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Black is the uncompromising Python code formatter. By using it, you agree to
cease control over minutiae of hand-formatting. In return, Black gives you
speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.

%package -n     %{pypi_name}
Summary:        The uncompromising code formatter
Group:          Development/Python
# extras_require "d"
Recommends:     python3-aiohttp >= 3.3.2
Recommends:     python3-aiohttp-cors

%description -n %{pypi_name}
Black is the uncompromising Python code formatter. By using it, you agree to
cease control over minutiae of hand-formatting. In return, Black gives you
speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.

%prep
%autosetup -n %{pypi_name}-%{tarball_version} -p1

%generate_buildrequires
# d is a name of extras_require
%pyproject_buildrequires -r -t -x d

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files 'black*' '_black*' blib2to3

for exe in black blackd; do
  ln -sr %{buildroot}%{_bindir}/${exe}{,-%{python3_version}}
done

install -D -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/black.1
install -D -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/blackd.1

%check
export PIP_INDEX_URL=http://host.invalid./
export PIP_NO_DEPS=yes
%pytest

%files -n %{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/black
%{_bindir}/black-%{python3_version}
%{_mandir}/man1/black.1*
%{_bindir}/blackd
%{_bindir}/blackd-%{python3_version}
%{_mandir}/man1/blackd.1*


%changelog
* Sun Feb 19 2023 wally <wally> 23.1.0-1.mga9
+ Revision: 1944107
- make BS happy with reqs
- new version 23.1.0

* Mon Sep 05 2022 papoteur <papoteur> 22.8.0-1.mga9
+ Revision: 1884329
- new 22.8.0

* Wed Aug 24 2022 papoteur <papoteur> 22.6.0-1.mga9
+ Revision: 1880042
- new 22.6.0

* Sun Jun 05 2022 papoteur <papoteur> 22.3.0-3.mga9
+ Revision: 1861279
- new 22.3.0
- withdraw black-primer, no more provided
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Mar 23 2021 daviddavid <daviddavid> 20.8-0.b1.2.mga9
+ Revision: 1708064
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 20.8-0.b1.1.mga8
+ Revision: 1669507
- initial package python-black (needed for python3-pyls-black)

